/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */


#ifndef __PWRC_H__
#define __PWRC_H__



/* PWRC */
/* ==================================================================== */

/*  */
#define PWRC_PDN_CTRL_SET         0x18843000

/* PWRC_PDN_CTRL_SET.PWRC_PDN_CTRL_SET -  */
#define PWRC_PDN_CTRL_SET__PWRC_PDN_CTRL_SET__SHIFT       0
#define PWRC_PDN_CTRL_SET__PWRC_PDN_CTRL_SET__WIDTH       32
#define PWRC_PDN_CTRL_SET__PWRC_PDN_CTRL_SET__MASK        0xFFFFFFFF
#define PWRC_PDN_CTRL_SET__PWRC_PDN_CTRL_SET__INV_MASK    0x00000000
#define PWRC_PDN_CTRL_SET__PWRC_PDN_CTRL_SET__HW_DEFAULT  0x425420

/*  */
#define PWRC_PDN_CTRL_CLR         0x18843004

/* PWRC_PDN_CTRL_CLR.PWRC_PDN_CTRL_CLR -  */
#define PWRC_PDN_CTRL_CLR__PWRC_PDN_CTRL_CLR__SHIFT       0
#define PWRC_PDN_CTRL_CLR__PWRC_PDN_CTRL_CLR__WIDTH       32
#define PWRC_PDN_CTRL_CLR__PWRC_PDN_CTRL_CLR__MASK        0xFFFFFFFF
#define PWRC_PDN_CTRL_CLR__PWRC_PDN_CTRL_CLR__INV_MASK    0x00000000
#define PWRC_PDN_CTRL_CLR__PWRC_PDN_CTRL_CLR__HW_DEFAULT  0x425420

/*  */
#define PWRC_PON_STATUS           0x18843008

/* PWRC_PON_STATUS.PWRC_PON_STATUS -  */
#define PWRC_PON_STATUS__PWRC_PON_STATUS__SHIFT       0
#define PWRC_PON_STATUS__PWRC_PON_STATUS__WIDTH       17
#define PWRC_PON_STATUS__PWRC_PON_STATUS__MASK        0x0001FFFF
#define PWRC_PON_STATUS__PWRC_PON_STATUS__INV_MASK    0xFFFE0000
#define PWRC_PON_STATUS__PWRC_PON_STATUS__HW_DEFAULT  0x0

/*  */
#define PWRC_TRIGGER_EN_SET       0x1884300C

/* PWRC_TRIGGER_EN_SET.PWRC_TRIGGER_EN_SET -  */
#define PWRC_TRIGGER_EN_SET__PWRC_TRIGGER_EN_SET__SHIFT       0
#define PWRC_TRIGGER_EN_SET__PWRC_TRIGGER_EN_SET__WIDTH       24
#define PWRC_TRIGGER_EN_SET__PWRC_TRIGGER_EN_SET__MASK        0x00FFFFFF
#define PWRC_TRIGGER_EN_SET__PWRC_TRIGGER_EN_SET__INV_MASK    0xFF000000
#define PWRC_TRIGGER_EN_SET__PWRC_TRIGGER_EN_SET__HW_DEFAULT  0x13

/*  */
#define PWRC_TRIGGER_EN_CLR       0x18843010

/* PWRC_TRIGGER_EN_CLR.PWRC_TRIGGER_EN_CLR -  */
#define PWRC_TRIGGER_EN_CLR__PWRC_TRIGGER_EN_CLR__SHIFT       0
#define PWRC_TRIGGER_EN_CLR__PWRC_TRIGGER_EN_CLR__WIDTH       24
#define PWRC_TRIGGER_EN_CLR__PWRC_TRIGGER_EN_CLR__MASK        0x00FFFFFF
#define PWRC_TRIGGER_EN_CLR__PWRC_TRIGGER_EN_CLR__INV_MASK    0xFF000000
#define PWRC_TRIGGER_EN_CLR__PWRC_TRIGGER_EN_CLR__HW_DEFAULT  0x13

/*  */
#define PWRC_INT_MASK_SET         0x18843014

/* PWRC_INT_MASK_SET.PWRC_INT_MASK_SET -  */
#define PWRC_INT_MASK_SET__PWRC_INT_MASK_SET__SHIFT       0
#define PWRC_INT_MASK_SET__PWRC_INT_MASK_SET__WIDTH       5
#define PWRC_INT_MASK_SET__PWRC_INT_MASK_SET__MASK        0x0000001F
#define PWRC_INT_MASK_SET__PWRC_INT_MASK_SET__INV_MASK    0xFFFFFFE0
#define PWRC_INT_MASK_SET__PWRC_INT_MASK_SET__HW_DEFAULT  0x0

/*  */
#define PWRC_INT_MASK_CLR         0x18843018

/* PWRC_INT_MASK_CLR.PWRC_INT_MASK_CLR -  */
#define PWRC_INT_MASK_CLR__PWRC_INT_MASK_CLR__SHIFT       0
#define PWRC_INT_MASK_CLR__PWRC_INT_MASK_CLR__WIDTH       5
#define PWRC_INT_MASK_CLR__PWRC_INT_MASK_CLR__MASK        0x0000001F
#define PWRC_INT_MASK_CLR__PWRC_INT_MASK_CLR__INV_MASK    0xFFFFFFE0
#define PWRC_INT_MASK_CLR__PWRC_INT_MASK_CLR__HW_DEFAULT  0x0

/*  */
#define PWRC_INT_STATUS           0x1884301C

/* PWRC_INT_STATUS.PWRC_INT_STATUS -  */
#define PWRC_INT_STATUS__PWRC_INT_STATUS__SHIFT       0
#define PWRC_INT_STATUS__PWRC_INT_STATUS__WIDTH       5
#define PWRC_INT_STATUS__PWRC_INT_STATUS__MASK        0x0000001F
#define PWRC_INT_STATUS__PWRC_INT_STATUS__INV_MASK    0xFFFFFFE0
#define PWRC_INT_STATUS__PWRC_INT_STATUS__HW_DEFAULT  0x0

/*  */
#define PWRC_PIN_STATUS           0x18843020

/* PWRC_PIN_STATUS.PWRC_PIN_STATUS -  */
#define PWRC_PIN_STATUS__PWRC_PIN_STATUS__SHIFT       0
#define PWRC_PIN_STATUS__PWRC_PIN_STATUS__WIDTH       5
#define PWRC_PIN_STATUS__PWRC_PIN_STATUS__MASK        0x0000001F
#define PWRC_PIN_STATUS__PWRC_PIN_STATUS__INV_MASK    0xFFFFFFE0
#define PWRC_PIN_STATUS__PWRC_PIN_STATUS__HW_DEFAULT  0x0

/*  */
#define PWRC_SPARE                0x18843024

/* PWRC_SPARE.M3_ON_DAISY_CHAIN -  */
#define PWRC_SPARE__M3_ON_DAISY_CHAIN__SHIFT       0
#define PWRC_SPARE__M3_ON_DAISY_CHAIN__WIDTH       1
#define PWRC_SPARE__M3_ON_DAISY_CHAIN__MASK        0x00000001
#define PWRC_SPARE__M3_ON_DAISY_CHAIN__INV_MASK    0xFFFFFFFE
#define PWRC_SPARE__M3_ON_DAISY_CHAIN__HW_DEFAULT  0x0

/* PWRC_SPARE.RTCLDO_TMUXCTRL -  */
#define PWRC_SPARE__RTCLDO_TMUXCTRL__SHIFT       1
#define PWRC_SPARE__RTCLDO_TMUXCTRL__WIDTH       4
#define PWRC_SPARE__RTCLDO_TMUXCTRL__MASK        0x0000001E
#define PWRC_SPARE__RTCLDO_TMUXCTRL__INV_MASK    0xFFFFFFE1
#define PWRC_SPARE__RTCLDO_TMUXCTRL__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_PLL_CTRL         0x18843028

/* PWRC_RTC_PLL_CTRL.PWRC_RTC_PLL_CTRL -  */
#define PWRC_RTC_PLL_CTRL__PWRC_RTC_PLL_CTRL__SHIFT       0
#define PWRC_RTC_PLL_CTRL__PWRC_RTC_PLL_CTRL__WIDTH       28
#define PWRC_RTC_PLL_CTRL__PWRC_RTC_PLL_CTRL__MASK        0x0FFFFFFF
#define PWRC_RTC_PLL_CTRL__PWRC_RTC_PLL_CTRL__INV_MASK    0xF0000000
#define PWRC_RTC_PLL_CTRL__PWRC_RTC_PLL_CTRL__HW_DEFAULT  0x1842DC0

/*  */
#define PWRC_GPIO3_DEBUG          0x18843034

/* PWRC_GPIO3_DEBUG.PWRC_GPIO3_DEBUG -  */
#define PWRC_GPIO3_DEBUG__PWRC_GPIO3_DEBUG__SHIFT       0
#define PWRC_GPIO3_DEBUG__PWRC_GPIO3_DEBUG__WIDTH       5
#define PWRC_GPIO3_DEBUG__PWRC_GPIO3_DEBUG__MASK        0x0000001F
#define PWRC_GPIO3_DEBUG__PWRC_GPIO3_DEBUG__INV_MASK    0xFFFFFFE0
#define PWRC_GPIO3_DEBUG__PWRC_GPIO3_DEBUG__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_NOC_PWRCTL_SET   0x18843038

/* PWRC_RTC_NOC_PWRCTL_SET.PWRC_RTC_NOC_PWRCTL_SET -  */
#define PWRC_RTC_NOC_PWRCTL_SET__PWRC_RTC_NOC_PWRCTL_SET__SHIFT       0
#define PWRC_RTC_NOC_PWRCTL_SET__PWRC_RTC_NOC_PWRCTL_SET__WIDTH       17
#define PWRC_RTC_NOC_PWRCTL_SET__PWRC_RTC_NOC_PWRCTL_SET__MASK        0x0001FFFF
#define PWRC_RTC_NOC_PWRCTL_SET__PWRC_RTC_NOC_PWRCTL_SET__INV_MASK    0xFFFE0000
#define PWRC_RTC_NOC_PWRCTL_SET__PWRC_RTC_NOC_PWRCTL_SET__HW_DEFAULT  0x18000

/*  */
#define PWRC_RTC_NOC_PWRCTL_CLR   0x1884303C

/* PWRC_RTC_NOC_PWRCTL_CLR.PWRC_RTC_NOC_PWRCTL_CLR -  */
#define PWRC_RTC_NOC_PWRCTL_CLR__PWRC_RTC_NOC_PWRCTL_CLR__SHIFT       0
#define PWRC_RTC_NOC_PWRCTL_CLR__PWRC_RTC_NOC_PWRCTL_CLR__WIDTH       17
#define PWRC_RTC_NOC_PWRCTL_CLR__PWRC_RTC_NOC_PWRCTL_CLR__MASK        0x0001FFFF
#define PWRC_RTC_NOC_PWRCTL_CLR__PWRC_RTC_NOC_PWRCTL_CLR__INV_MASK    0xFFFE0000
#define PWRC_RTC_NOC_PWRCTL_CLR__PWRC_RTC_NOC_PWRCTL_CLR__HW_DEFAULT  0x18000

/*  */
#define PWRC_RTC_CAN_CTRL         0x18843048

/* PWRC_RTC_CAN_CTRL.CAN_LIST0_EN -  */
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_EN__SHIFT       0
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_EN__WIDTH       1
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_EN__MASK        0x00000001
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_EN__INV_MASK    0xFFFFFFFE
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_EN__HW_DEFAULT  0x1

/* PWRC_RTC_CAN_CTRL.CAN_LIST1_EN -  */
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_EN__SHIFT       1
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_EN__WIDTH       1
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_EN__MASK        0x00000002
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_EN__INV_MASK    0xFFFFFFFD
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_EN__HW_DEFAULT  0x1

/* PWRC_RTC_CAN_CTRL.CAN_LIST0_SEL -  */
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_SEL__SHIFT       2
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_SEL__WIDTH       3
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_SEL__MASK        0x0000001C
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_SEL__INV_MASK    0xFFFFFFE3
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_SEL__HW_DEFAULT  0x0

/* PWRC_RTC_CAN_CTRL.CAN_LIST1_SEL -  */
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_SEL__SHIFT       5
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_SEL__WIDTH       3
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_SEL__MASK        0x000000E0
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_SEL__INV_MASK    0xFFFFFF1F
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_SEL__HW_DEFAULT  0x0

/* PWRC_RTC_CAN_CTRL.CAN_LIST0_DELAY -  */
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_DELAY__SHIFT       8
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_DELAY__WIDTH       7
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_DELAY__MASK        0x00007F00
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_DELAY__INV_MASK    0xFFFF80FF
#define PWRC_RTC_CAN_CTRL__CAN_LIST0_DELAY__HW_DEFAULT  0x7F

/* PWRC_RTC_CAN_CTRL.CAN_LIST1_DELAY -  */
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_DELAY__SHIFT       15
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_DELAY__WIDTH       7
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_DELAY__MASK        0x003F8000
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_DELAY__INV_MASK    0xFFC07FFF
#define PWRC_RTC_CAN_CTRL__CAN_LIST1_DELAY__HW_DEFAULT  0x7F

/* PWRC_RTC_CAN_CTRL.CAN_PRE_WAKEUP_CTRL -  */
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_CTRL__SHIFT       22
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_CTRL__WIDTH       3
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_CTRL__MASK        0x01C00000
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_CTRL__INV_MASK    0xFE3FFFFF
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_CTRL__HW_DEFAULT  0x1

/* PWRC_RTC_CAN_CTRL.EXT_CAN_IRQ_SEL -  */
#define PWRC_RTC_CAN_CTRL__EXT_CAN_IRQ_SEL__SHIFT       25
#define PWRC_RTC_CAN_CTRL__EXT_CAN_IRQ_SEL__WIDTH       1
#define PWRC_RTC_CAN_CTRL__EXT_CAN_IRQ_SEL__MASK        0x02000000
#define PWRC_RTC_CAN_CTRL__EXT_CAN_IRQ_SEL__INV_MASK    0xFDFFFFFF
#define PWRC_RTC_CAN_CTRL__EXT_CAN_IRQ_SEL__HW_DEFAULT  0x0

/* PWRC_RTC_CAN_CTRL.CAN_PRE_WAKEUP_MODE -  */
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_MODE__SHIFT       26
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_MODE__WIDTH       1
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_MODE__MASK        0x04000000
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_MODE__INV_MASK    0xFBFFFFFF
#define PWRC_RTC_CAN_CTRL__CAN_PRE_WAKEUP_MODE__HW_DEFAULT  0x0

/* PWRC_RTC_CAN_CTRL.CAN0_WAKEUP_EN -  */
#define PWRC_RTC_CAN_CTRL__CAN0_WAKEUP_EN__SHIFT       27
#define PWRC_RTC_CAN_CTRL__CAN0_WAKEUP_EN__WIDTH       1
#define PWRC_RTC_CAN_CTRL__CAN0_WAKEUP_EN__MASK        0x08000000
#define PWRC_RTC_CAN_CTRL__CAN0_WAKEUP_EN__INV_MASK    0xF7FFFFFF
#define PWRC_RTC_CAN_CTRL__CAN0_WAKEUP_EN__HW_DEFAULT  0x0

/* PWRC_RTC_CAN_CTRL.CAN0_SEL -  */
#define PWRC_RTC_CAN_CTRL__CAN0_SEL__SHIFT       28
#define PWRC_RTC_CAN_CTRL__CAN0_SEL__WIDTH       1
#define PWRC_RTC_CAN_CTRL__CAN0_SEL__MASK        0x10000000
#define PWRC_RTC_CAN_CTRL__CAN0_SEL__INV_MASK    0xEFFFFFFF
#define PWRC_RTC_CAN_CTRL__CAN0_SEL__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_CAN_STATUS       0x1884304C

/* PWRC_RTC_CAN_STATUS.PWRC_RTC_CAN_STATUS -  */
#define PWRC_RTC_CAN_STATUS__PWRC_RTC_CAN_STATUS__SHIFT       0
#define PWRC_RTC_CAN_STATUS__PWRC_RTC_CAN_STATUS__WIDTH       18
#define PWRC_RTC_CAN_STATUS__PWRC_RTC_CAN_STATUS__MASK        0x0003FFFF
#define PWRC_RTC_CAN_STATUS__PWRC_RTC_CAN_STATUS__INV_MASK    0xFFFC0000
#define PWRC_RTC_CAN_STATUS__PWRC_RTC_CAN_STATUS__HW_DEFAULT  0x0

/*  */
#define PWRC_FSM_M3_CTRL          0x18843050

/* PWRC_FSM_M3_CTRL.PWRC_RTC_FSM_M3_CTRL1 -  */
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL1__SHIFT       0
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL1__WIDTH       3
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL1__MASK        0x00000007
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL1__INV_MASK    0xFFFFFFF8
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL1__HW_DEFAULT  0x0

/* PWRC_FSM_M3_CTRL.PWRC_RTC_FSM_M3_CTRL2 -  */
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL2__SHIFT       30
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL2__WIDTH       2
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL2__MASK        0xC0000000
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL2__INV_MASK    0x3FFFFFFF
#define PWRC_FSM_M3_CTRL__PWRC_RTC_FSM_M3_CTRL2__HW_DEFAULT  0x0

/*  */
#define PWRC_FSM_STATE            0x18843054

/* PWRC_FSM_STATE.PWRC_FSM_STATE -  */
#define PWRC_FSM_STATE__PWRC_FSM_STATE__SHIFT       0
#define PWRC_FSM_STATE__PWRC_FSM_STATE__WIDTH       5
#define PWRC_FSM_STATE__PWRC_FSM_STATE__MASK        0x0000001F
#define PWRC_FSM_STATE__PWRC_FSM_STATE__INV_MASK    0xFFFFFFE0
#define PWRC_FSM_STATE__PWRC_FSM_STATE__HW_DEFAULT  0x0

/*  */
#define PWRC_RTCLDO_REG           0x18843058

/* PWRC_RTCLDO_REG.PWRC_RTCLDO_TRIM -  */
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_TRIM__SHIFT       0
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_TRIM__WIDTH       7
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_TRIM__MASK        0x0000007F
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_TRIM__INV_MASK    0xFFFFFF80
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_TRIM__HW_DEFAULT  0x0

/* PWRC_RTCLDO_REG.PWRC_RTCLDO_PORB -  */
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_PORB__SHIFT       31
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_PORB__WIDTH       1
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_PORB__MASK        0x80000000
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_PORB__INV_MASK    0x7FFFFFFF
#define PWRC_RTCLDO_REG__PWRC_RTCLDO_PORB__HW_DEFAULT  0x1

/*  */
#define PWRC_GNSS_CTRL            0x1884305C

/* PWRC_GNSS_CTRL.PWRC_GNSS_CTRL1 -  */
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL1__SHIFT       0
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL1__WIDTH       12
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL1__MASK        0x00000FFF
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL1__INV_MASK    0xFFFFF000
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL1__HW_DEFAULT  0xC

/* PWRC_GNSS_CTRL.PWRC_GNSS_CTRL2 -  */
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL2__SHIFT       15
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL2__WIDTH       1
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL2__MASK        0x00008000
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL2__INV_MASK    0xFFFF7FFF
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL2__HW_DEFAULT  0x0

/* PWRC_GNSS_CTRL.PWRC_GNSS_CTRL3 -  */
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL3__SHIFT       16
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL3__WIDTH       16
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL3__MASK        0xFFFF0000
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL3__INV_MASK    0x0000FFFF
#define PWRC_GNSS_CTRL__PWRC_GNSS_CTRL3__HW_DEFAULT  0x0

/*  */
#define PWRC_GNSS_STATUS          0x18843060

/* PWRC_GNSS_STATUS.PWRC_GNSS_STATUS -  */
#define PWRC_GNSS_STATUS__PWRC_GNSS_STATUS__SHIFT       0
#define PWRC_GNSS_STATUS__PWRC_GNSS_STATUS__WIDTH       20
#define PWRC_GNSS_STATUS__PWRC_GNSS_STATUS__MASK        0x000FFFFF
#define PWRC_GNSS_STATUS__PWRC_GNSS_STATUS__INV_MASK    0xFFF00000
#define PWRC_GNSS_STATUS__PWRC_GNSS_STATUS__HW_DEFAULT  0x10

/*  */
#define PWRC_XTAL_REG             0x18843064

/* PWRC_XTAL_REG.PWRC_XTAL_REG1 -  */
#define PWRC_XTAL_REG__PWRC_XTAL_REG1__SHIFT       0
#define PWRC_XTAL_REG__PWRC_XTAL_REG1__WIDTH       28
#define PWRC_XTAL_REG__PWRC_XTAL_REG1__MASK        0x0FFFFFFF
#define PWRC_XTAL_REG__PWRC_XTAL_REG1__INV_MASK    0xF0000000
#define PWRC_XTAL_REG__PWRC_XTAL_REG1__HW_DEFAULT  0x0

/* PWRC_XTAL_REG.PWRC_XTAL_REG2 -  */
#define PWRC_XTAL_REG__PWRC_XTAL_REG2__SHIFT       28
#define PWRC_XTAL_REG__PWRC_XTAL_REG2__WIDTH       4
#define PWRC_XTAL_REG__PWRC_XTAL_REG2__MASK        0xF0000000
#define PWRC_XTAL_REG__PWRC_XTAL_REG2__INV_MASK    0x0FFFFFFF
#define PWRC_XTAL_REG__PWRC_XTAL_REG2__HW_DEFAULT  0x0

/*  */
#define PWRC_XTAL_LDO_MUX_SEL     0x18843068

/* PWRC_XTAL_LDO_MUX_SEL.PWRC_XTAL_LDO_MUX_SEL -  */
#define PWRC_XTAL_LDO_MUX_SEL__PWRC_XTAL_LDO_MUX_SEL__SHIFT       0
#define PWRC_XTAL_LDO_MUX_SEL__PWRC_XTAL_LDO_MUX_SEL__WIDTH       30
#define PWRC_XTAL_LDO_MUX_SEL__PWRC_XTAL_LDO_MUX_SEL__MASK        0x3FFFFFFF
#define PWRC_XTAL_LDO_MUX_SEL__PWRC_XTAL_LDO_MUX_SEL__INV_MASK    0xC0000000
#define PWRC_XTAL_LDO_MUX_SEL__PWRC_XTAL_LDO_MUX_SEL__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_SW_RSTC_SET      0x1884306C

/* PWRC_RTC_SW_RSTC_SET.PWRC_RTC_SW_RSTC_SET -  */
#define PWRC_RTC_SW_RSTC_SET__PWRC_RTC_SW_RSTC_SET__SHIFT       0
#define PWRC_RTC_SW_RSTC_SET__PWRC_RTC_SW_RSTC_SET__WIDTH       21
#define PWRC_RTC_SW_RSTC_SET__PWRC_RTC_SW_RSTC_SET__MASK        0x001FFFFF
#define PWRC_RTC_SW_RSTC_SET__PWRC_RTC_SW_RSTC_SET__INV_MASK    0xFFE00000
#define PWRC_RTC_SW_RSTC_SET__PWRC_RTC_SW_RSTC_SET__HW_DEFAULT  0x1FFFFF

/*  */
#define PWRC_RTC_SW_RSTC_CLR      0x18843070

/* PWRC_RTC_SW_RSTC_CLR.PWRC_RTC_SW_RSTC_CLR -  */
#define PWRC_RTC_SW_RSTC_CLR__PWRC_RTC_SW_RSTC_CLR__SHIFT       0
#define PWRC_RTC_SW_RSTC_CLR__PWRC_RTC_SW_RSTC_CLR__WIDTH       21
#define PWRC_RTC_SW_RSTC_CLR__PWRC_RTC_SW_RSTC_CLR__MASK        0x001FFFFF
#define PWRC_RTC_SW_RSTC_CLR__PWRC_RTC_SW_RSTC_CLR__INV_MASK    0xFFE00000
#define PWRC_RTC_SW_RSTC_CLR__PWRC_RTC_SW_RSTC_CLR__HW_DEFAULT  0x1FFFFF

/*  */
#define PWRC_POWER_SW_CTRL_SET    0x18843074

/* PWRC_POWER_SW_CTRL_SET.PWRC_POWER_SW_CTRL_SET -  */
#define PWRC_POWER_SW_CTRL_SET__PWRC_POWER_SW_CTRL_SET__SHIFT       0
#define PWRC_POWER_SW_CTRL_SET__PWRC_POWER_SW_CTRL_SET__WIDTH       4
#define PWRC_POWER_SW_CTRL_SET__PWRC_POWER_SW_CTRL_SET__MASK        0x0000000F
#define PWRC_POWER_SW_CTRL_SET__PWRC_POWER_SW_CTRL_SET__INV_MASK    0xFFFFFFF0
#define PWRC_POWER_SW_CTRL_SET__PWRC_POWER_SW_CTRL_SET__HW_DEFAULT  0x0

/*  */
#define PWRC_POWER_SW_CTRL_CLR    0x18843078

/* PWRC_POWER_SW_CTRL_CLR.PWRC_POWER_SW_CTRL_CLR -  */
#define PWRC_POWER_SW_CTRL_CLR__PWRC_POWER_SW_CTRL_CLR__SHIFT       0
#define PWRC_POWER_SW_CTRL_CLR__PWRC_POWER_SW_CTRL_CLR__WIDTH       4
#define PWRC_POWER_SW_CTRL_CLR__PWRC_POWER_SW_CTRL_CLR__MASK        0x0000000F
#define PWRC_POWER_SW_CTRL_CLR__PWRC_POWER_SW_CTRL_CLR__INV_MASK    0xFFFFFFF0
#define PWRC_POWER_SW_CTRL_CLR__PWRC_POWER_SW_CTRL_CLR__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_DCOG             0x1884307C

/* PWRC_RTC_DCOG.PWRC_RTC_DCOG -  */
#define PWRC_RTC_DCOG__PWRC_RTC_DCOG__SHIFT       0
#define PWRC_RTC_DCOG__PWRC_RTC_DCOG__WIDTH       20
#define PWRC_RTC_DCOG__PWRC_RTC_DCOG__MASK        0x000FFFFF
#define PWRC_RTC_DCOG__PWRC_RTC_DCOG__INV_MASK    0xFFF00000
#define PWRC_RTC_DCOG__PWRC_RTC_DCOG__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_MEMORIES          0x18843080

/* PWRC_M3_MEMORIES.PWRC_M3_MEMORIES -  */
#define PWRC_M3_MEMORIES__PWRC_M3_MEMORIES__SHIFT       0
#define PWRC_M3_MEMORIES__PWRC_M3_MEMORIES__WIDTH       16
#define PWRC_M3_MEMORIES__PWRC_M3_MEMORIES__MASK        0x0000FFFF
#define PWRC_M3_MEMORIES__PWRC_M3_MEMORIES__INV_MASK    0xFFFF0000
#define PWRC_M3_MEMORIES__PWRC_M3_MEMORIES__HW_DEFAULT  0x0

/*  */
#define PWRC_CAN0_MEMORY          0x18843084

/* PWRC_CAN0_MEMORY.PWRC_CAN0_MEMORY -  */
#define PWRC_CAN0_MEMORY__PWRC_CAN0_MEMORY__SHIFT       0
#define PWRC_CAN0_MEMORY__PWRC_CAN0_MEMORY__WIDTH       4
#define PWRC_CAN0_MEMORY__PWRC_CAN0_MEMORY__MASK        0x0000000F
#define PWRC_CAN0_MEMORY__PWRC_CAN0_MEMORY__INV_MASK    0xFFFFFFF0
#define PWRC_CAN0_MEMORY__PWRC_CAN0_MEMORY__HW_DEFAULT  0x0

/*  */
#define PWRC_RTC_GNSS_MEMORY      0x18843088

/* PWRC_RTC_GNSS_MEMORY.PWRC_RTC_GNSS_MEMORY -  */
#define PWRC_RTC_GNSS_MEMORY__PWRC_RTC_GNSS_MEMORY__SHIFT       0
#define PWRC_RTC_GNSS_MEMORY__PWRC_RTC_GNSS_MEMORY__WIDTH       4
#define PWRC_RTC_GNSS_MEMORY__PWRC_RTC_GNSS_MEMORY__MASK        0x0000000F
#define PWRC_RTC_GNSS_MEMORY__PWRC_RTC_GNSS_MEMORY__INV_MASK    0xFFFFFFF0
#define PWRC_RTC_GNSS_MEMORY__PWRC_RTC_GNSS_MEMORY__HW_DEFAULT  0x0

/*  */
#define PWRC_M3_CLK_EN            0x1884308C

/* PWRC_M3_CLK_EN.PWRC_M3_CLK_EN -  */
#define PWRC_M3_CLK_EN__PWRC_M3_CLK_EN__SHIFT       0
#define PWRC_M3_CLK_EN__PWRC_M3_CLK_EN__WIDTH       8
#define PWRC_M3_CLK_EN__PWRC_M3_CLK_EN__MASK        0x000000FF
#define PWRC_M3_CLK_EN__PWRC_M3_CLK_EN__INV_MASK    0xFFFFFF00
#define PWRC_M3_CLK_EN__PWRC_M3_CLK_EN__HW_DEFAULT  0x51

/*  */
#define PWRC_CAN0_CLK_EN          0x18843090

/* PWRC_CAN0_CLK_EN.PWRC_CAN0_CLK_EN -  */
#define PWRC_CAN0_CLK_EN__PWRC_CAN0_CLK_EN__SHIFT       0
#define PWRC_CAN0_CLK_EN__PWRC_CAN0_CLK_EN__WIDTH       2
#define PWRC_CAN0_CLK_EN__PWRC_CAN0_CLK_EN__MASK        0x00000003
#define PWRC_CAN0_CLK_EN__PWRC_CAN0_CLK_EN__INV_MASK    0xFFFFFFFC
#define PWRC_CAN0_CLK_EN__PWRC_CAN0_CLK_EN__HW_DEFAULT  0x2

/*  */
#define PWRC_SPI0_CLK_EN          0x18843094

/* PWRC_SPI0_CLK_EN.PWRC_SPI0_CLK_EN -  */
#define PWRC_SPI0_CLK_EN__PWRC_SPI0_CLK_EN__SHIFT       0
#define PWRC_SPI0_CLK_EN__PWRC_SPI0_CLK_EN__WIDTH       2
#define PWRC_SPI0_CLK_EN__PWRC_SPI0_CLK_EN__MASK        0x00000003
#define PWRC_SPI0_CLK_EN__PWRC_SPI0_CLK_EN__INV_MASK    0xFFFFFFFC
#define PWRC_SPI0_CLK_EN__PWRC_SPI0_CLK_EN__HW_DEFAULT  0x1

/*  */
#define PWRC_RTC_SEC_CLK_EN       0x18843098

/* PWRC_RTC_SEC_CLK_EN.PWRC_RTC_SEC_CLK_EN -  */
#define PWRC_RTC_SEC_CLK_EN__PWRC_RTC_SEC_CLK_EN__SHIFT       0
#define PWRC_RTC_SEC_CLK_EN__PWRC_RTC_SEC_CLK_EN__WIDTH       2
#define PWRC_RTC_SEC_CLK_EN__PWRC_RTC_SEC_CLK_EN__MASK        0x00000003
#define PWRC_RTC_SEC_CLK_EN__PWRC_RTC_SEC_CLK_EN__INV_MASK    0xFFFFFFFC
#define PWRC_RTC_SEC_CLK_EN__PWRC_RTC_SEC_CLK_EN__HW_DEFAULT  0x1

/*  */
#define PWRC_RTC_NOC_CLK_EN       0x1884309C

/* PWRC_RTC_NOC_CLK_EN.PWRC_RTC_NOC_CLK_EN -  */
#define PWRC_RTC_NOC_CLK_EN__PWRC_RTC_NOC_CLK_EN__SHIFT       0
#define PWRC_RTC_NOC_CLK_EN__PWRC_RTC_NOC_CLK_EN__WIDTH       1
#define PWRC_RTC_NOC_CLK_EN__PWRC_RTC_NOC_CLK_EN__MASK        0x00000001
#define PWRC_RTC_NOC_CLK_EN__PWRC_RTC_NOC_CLK_EN__INV_MASK    0xFFFFFFFE
#define PWRC_RTC_NOC_CLK_EN__PWRC_RTC_NOC_CLK_EN__HW_DEFAULT  0x1


#endif  // __PWRC_H__
